net.sf.jasperreports.engine.query

## Class JaxenXPathQueryExecuterFactory

- java.lang.Object
- - net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory
  - - net.sf.jasperreports.engine.query.JRXPathQueryExecuterFactory
    - - net.sf.jasperreports.engine.query.JaxenXPathQueryExecuterFactory

- All Implemented Interfaces:
    JRQueryExecuterFactory, QueryExecuterFactory

      public class JaxenXPathQueryExecuterFactory
      extends JRXPathQueryExecuterFactory

  Jaxen XPath query executer factory.

  The factory creates `JaxenXPathQueryExecuter` query executers.
  Version:
    $Id: JaxenXPathQueryExecuterFactory.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Narcis Marcu (narcism@users.sourceforge.net)

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PARAMETER_DOCUMENT_BUILDER_FACTORY` Built-in parameter holdin the value of the `javax.xml.parsers.DocumentBuilderFactor` used to create documents of type `org.w3c.dom.Document```
    `static java.lang.String` | `PARAMETER_XML_NAMESPACE_MAP` Parameter that holds the `java.util.Map<String,String>` with XML namespace information in the <prefix, uri> format
    `static java.lang.String` | `XML_DETECT_NAMESPACES` Boolean parameter/property that specifies whether the XML document should be parsed for namespaces or not.
    `static java.lang.String` | `XML_NAMESPACE_PREFIX` Prefix for properties holding the namespace prefix and uri: e.g. net.sf.jasperreports.xml.namespace.

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRXPathQueryExecuterFactory

      `PARAMETER_XML_DATA_DOCUMENT, PROPERTY_XML_DATE_PATTERN, PROPERTY_XML_NUMBER_PATTERN, XML_DATE_PATTERN, XML_FILE, XML_INPUT_STREAM, XML_LOCALE, XML_NUMBER_PATTERN, XML_SOURCE, XML_TIME_ZONE`

    - ### Fields inherited from interface net.sf.jasperreports.engine.query.QueryExecuterFactory

      `QUERY_EXECUTER_FACTORY_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxenXPathQueryExecuterFactory()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JRQueryExecuter` | `createQueryExecuter(JasperReportsContext jasperReportsContext, JRDataset dataset, java.util.Map<java.lang.String,? extends JRValueParameter> parameters)` Creates a query executer.
    `java.lang.Object[]` | `getBuiltinParameters()` Returns the built-in parameters associated with this query type.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRXPathQueryExecuterFactory

      `supportsQueryParameterType`

    - ### Methods inherited from class net.sf.jasperreports.engine.query.AbstractQueryExecuterFactory

      `createQueryExecuter`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### PARAMETER_DOCUMENT_BUILDER_FACTORY

          public static final java.lang.String PARAMETER_DOCUMENT_BUILDER_FACTORY

      Built-in parameter holdin the value of the `javax.xml.parsers.DocumentBuilderFactor` used to create documents of type `org.w3c.dom.Document```
      See Also:
        Constant Field Values

    - #### PARAMETER_XML_NAMESPACE_MAP

          public static final java.lang.String PARAMETER_XML_NAMESPACE_MAP

      Parameter that holds the `java.util.Map<String,String>` with XML namespace information in the <prefix, uri> format
      See Also:
        Constant Field Values

    - #### XML_NAMESPACE_PREFIX

          public static final java.lang.String XML_NAMESPACE_PREFIX

      Prefix for properties holding the namespace prefix and uri: e.g. net.sf.jasperreports.xml.namespace.{prefix} = uri

      This property has a lower priority than `PARAMETER_XML_NAMESPACE_MAP`, which if it is specified it will cause the prefixed properties not to be searched for.

      See Also:
        Constant Field Values

    - #### XML_DETECT_NAMESPACES

          public static final java.lang.String XML_DETECT_NAMESPACES

      Boolean parameter/property that specifies whether the XML document should be parsed for namespaces or not.

      This parameter is meaningful only when:

      - the `PARAMETER_XML_NAMESPACE_MAP` parameter is not provided or provided with a `null` value
      - there are no properties prefixed with `XML_NAMESPACE_PREFIX`;
      - the xpath query expression that is provided contains XML namespace prefixes
      It defaults to `false`
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### JaxenXPathQueryExecuterFactory

          public JaxenXPathQueryExecuterFactory()

  - ### Method Detail

    - #### getBuiltinParameters

          public java.lang.Object[] getBuiltinParameters()

      Description copied from interface: `QueryExecuterFactory`
      Returns the built-in parameters associated with this query type.

      These parameters will be created as system-defined parameters for each report/dataset having a query of this type.

      The returned array should contain consecutive pairs of parameter names and parameter classes (e.g. `{"Param1", String.class, "Param2", "List.class"}`).
      Specified by:
        `getBuiltinParameters` in interface `JRQueryExecuterFactory`
      Specified by:
        `getBuiltinParameters` in interface `QueryExecuterFactory`
      Overrides:
        `getBuiltinParameters` in class `JRXPathQueryExecuterFactory`
      Returns:
        array of built-in parameter names and types associated with this query type

    - #### createQueryExecuter

          public JRQueryExecuter createQueryExecuter(JasperReportsContext jasperReportsContext,
                                            JRDataset dataset,
                                            java.util.Map<java.lang.String,? extends JRValueParameter> parameters)
                                              throws JRException

      Description copied from interface: `QueryExecuterFactory`
      Creates a query executer.

      This method is called at fill time for reports/datasets having a query supported by this factory.
      Specified by:
        `createQueryExecuter` in interface `QueryExecuterFactory`
      Overrides:
        `createQueryExecuter` in class `JRXPathQueryExecuterFactory`
      Parameters:
        `jasperReportsContext` - the JasperReportsContext
        `dataset` - the dataset containing the query, fields, etc
        `parameters` - map of value parameters (instances of `JRValueParameter`) indexed by name
      Returns:
        a query executer
      Throws:
        `JRException`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com